<template>
  <div id="app">
    <router-view />
  </div>
</template>

<script>
export default {
  created() {
    //苹果禁止双击和缩放
    window.onload = function () {
      document.addEventListener("touchstart", function (event) {
        if (event.touches.length > 1) {
          event.preventDefault();
        }
      });
      document.addEventListener("gesturestart", function (event) {
        event.preventDefault();
      });
      if (typeof WeixinJSBridge == "undefined") {
        //禁止手机放大
        document.addEventListener("WeixinJSBridgeReady", function (e) {
          setTimeout(function () {
            WeixinJSBridge.invoke(
              "setFontSizeCallback",
              { fontSize: 0 },
              function (res) {
                // console.log(JSON.stringify(res));
              }
            );
          }, 0);
        });
      } else {
        setTimeout(function () {
          WeixinJSBridge.invoke(
            "setFontSizeCallback",
            { fontSize: 0 },
            function (res) {
              // console.log(JSON.stringify(res));
            }
          );
        }, 0);
      }
    };
  }
};
</script>

<style lang="scss">
#app {
  height: 100vh;
  width: 100vw;
  position: relative;

  @media screen and (orientation: portrait) {
    position: absolute;
    width: 100vh;
    height: 100vw;
    top: 0;
    left: 100vw;
    -webkit-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    transform: rotate(90deg);
    transform-origin: 0% 0%;
  }

  @media screen and (orientation: landscape) {
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
  }
}
.header {
  height: 63px;
  width: 100%;
  background: #050505;
  position: absolute;
  top: 0;
  display: flex;
  align-items: center;
  justify-content: center;

  img {
    width: 1900px;
    height: 45px;
  }
}
</style>
